package com.hzya.frame.sysnew.user.entity;


import com.hzya.frame.sysnew.popedomHome.entity.SysPopedomHomeEntity;
import com.hzya.frame.sysnew.popedomInterface.entity.SysPopedomInterfaceEntity;
import com.hzya.frame.sysnew.popedomMenu.entity.SysPopedomMenuEntity;
import com.hzya.frame.sysnew.popedomOperate.entity.SysPopedomOperateEntity;

import java.util.List;

public class JurisdictionDto {

    /**
     * ID
     */
    private String id;

    /**  权限分类（1、人员、2、角色） */
    private String kindId;

    //首页
    private List<SysPopedomHomeEntity> sysPopedomHomeEntities;
    //菜单
    private List<SysPopedomMenuEntity> sysPopedomMenuEntities;
    //按钮
    private List<SysPopedomOperateEntity> sysPopedomOperateEntities;
    //接口
    private List<SysPopedomInterfaceEntity> sysPopedomInterfaceEntities;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getKindId() {
        return kindId;
    }

    public void setKindId(String kindId) {
        this.kindId = kindId;
    }

    public List<SysPopedomHomeEntity> getSysPopedomHomeEntities() {
        return sysPopedomHomeEntities;
    }

    public void setSysPopedomHomeEntities(List<SysPopedomHomeEntity> sysPopedomHomeEntities) {
        this.sysPopedomHomeEntities = sysPopedomHomeEntities;
    }

    public List<SysPopedomMenuEntity> getSysPopedomMenuEntities() {
        return sysPopedomMenuEntities;
    }

    public void setSysPopedomMenuEntities(List<SysPopedomMenuEntity> sysPopedomMenuEntities) {
        this.sysPopedomMenuEntities = sysPopedomMenuEntities;
    }

    public List<SysPopedomOperateEntity> getSysPopedomOperateEntities() {
        return sysPopedomOperateEntities;
    }

    public void setSysPopedomOperateEntities(List<SysPopedomOperateEntity> sysPopedomOperateEntities) {
        this.sysPopedomOperateEntities = sysPopedomOperateEntities;
    }

    public List<SysPopedomInterfaceEntity> getSysPopedomInterfaceEntities() {
        return sysPopedomInterfaceEntities;
    }

    public void setSysPopedomInterfaceEntities(List<SysPopedomInterfaceEntity> sysPopedomInterfaceEntities) {
        this.sysPopedomInterfaceEntities = sysPopedomInterfaceEntities;
    }
}

